      function eround(x)
! ====================================================================== &
!
!        programmer     Sander de Snoo
!        version 1.0    date   28-12-1995
!
!
!
!   copyright (c) 1995-1995  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ********************************************************************
!
!                         DESCRIPTION
!
! ********************************************************************
!
!                      KEYWORDS
!
! ********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      implicit none
      integer eround
      double precision x

!     eround     o    Rounded value
!     x          i    x co-ordinate of point
! ********************************************************************
!
!                      COMMON BLOCKS
!
! ********************************************************************
!
!                    LOCAL PARAMETERS
!
      integer n

!     n          integer help variable
! ********************************************************************
!
!             SUBROUTINES CALLED
!
! ********************************************************************
!
!                    I/O
!
! ********************************************************************
!
!                    ERROR MESSAGES
!
! ********************************************************************
!
!                    PSEUDO CODE
!
! =========================================================================== &
!

      n=int(x)

      if (x.ge.n+n/(2d0*n+1)) then
        eround=n+1
      else
        eround=n
      end if

      end
