      subroutine inisubtract ( vec1, vec2, vec3, nusol )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 09-01-2009
!
!   copyright (c) 2009-2009  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Subtract two vectors and store the result in a third vector
!     vec3 = vec1 - vec2
! **********************************************************************
!
!                       KEYWORDS
!
!     subtract
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nusol
      double precision vec1(nusol), vec2(nusol), vec3(nusol)

!     nusol          i    Length of vector
!     vec1           i    first input vector
!     vec2           i    second input vector
!     vec3           o    Result vector
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      vec3 = vec1 - vec2
      end
