      subroutine prinin2 ( iarray, m, n, text )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.2  date 08-04-2005 Correction more than 10 per line
!        version  1.1  date 16-07-1998 Extension format
!        version  1.0  date 21-12-1997
!
!   copyright (c) 1997-2005  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Auxiliary help subroutine only meant for debugging purposes
!   The task of prinin2 is to print an integer array in the
!   form   seq. number:  n numbers etc.
! **********************************************************************
!
!                       KEYWORDS
!
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer n, m, iarray(m,n)
      character *(*) text

!    iarray   i  integer array to be printed
!    m        i  Number of entries of the integer array to be printed per line
!    n        i  Number of lines of the integer array to be printed
!    text     i  Text to be printed in the heading
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j

!    i          General loop variable
!    j          General loop variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!    - &
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      write ( irefwr, 100 ) text
100   format(1x,a)
      do i = 1, m
         write(irefwr,110) i,(iarray(i,j),j=1,min(n,10))
110      format(i4,':',10i7)
         if ( n>10 ) &
            write(irefwr,120) (iarray(i,j),j=11,n)
120         format(5x,10i7)
      end do

      end
