      subroutine msh417( kelem, j, i1, i2, i3, i4, i5, i6, i7, &
                         i8, i9, i10 )

! =======================================================================
!
!
!         programmer   niek praagman
!
!         version 1.2  date  04-02-1993 New norms
!         version 1.1  date  22-08-1991 Zdenek: no dimension, cdc, ce
!         version 1.0  date  10-03-1989
!
!
!
!   copyright (c) 1989-1993  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard or soft copy granted only by written license obtained
!   from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system (e.g. , in memory, disk or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ***********************************************************************
!
!     DESCRIPTION
!
!     Place nodes for quadratic tetrahedron in element array KELEM
!
! ***********************************************************************
!
!     KEYWORDS
!
!     tetrahedron
!     quadratic
!
! ***********************************************************************
!
!     INPUT / OUTPUT PARAMETERS
!
      implicit none

      integer j, kelem(10,j), i1, i2, i3, i4, i5, i6, i7, i8, i9, i10

!     i1     node
!     i10    node
!     i2     node
!     i3     node
!     i4     node
!     i5     node
!     i6     node
!     i7     node
!     i8     node
!     i9     node
!     j      element number
!     kelem  element array
!
! ***********************************************************************
!
!     COMMON BLOCKS
!
! ***********************************************************************
!
!     LOCAL PARAMETERS
!
! ***********************************************************************
!
!     SUBROUTINES CALLED
!
!
! ***********************************************************************
!
!     ERROR MESSAGES
!
! ***********************************************************************
!
!     METHOD
!
!     PSEUDO CODE
!
! =======================================================================

      kelem(  1,j ) =  i1
      kelem(  2,j ) =  i2
      kelem(  3,j ) =  i3
      kelem(  4,j ) =  i4
      kelem(  5,j ) =  i5
      kelem(  6,j ) =  i6
      kelem(  7,j ) =  i7
      kelem(  8,j ) =  i8
      kelem(  9,j ) =  i9
      kelem( 10,j ) = i10

      end
