      subroutine pltjmo ( complist, index, nplaces )
! ======================================================================
!
!
!        programmer     Jos van Kan
!        version 1.0    date   20-01-1995
!
!
!
!   copyright (c) 1995-1995 "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!                         DESCRIPTION
!
!       pltjmo moves an integer array complist over nplaces places, starting at
!       index. It is supposed, that the length of  complist is in complist (0).
! ********************************************************************
!
!                      KEYWORDS
!
!
! ********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      implicit none
      integer complist(0:*), index, nplaces

!     complist
!     index
!     nplaces
! ********************************************************************
!
!                      COMMON BLOCKS
!
! ********************************************************************
!
!                      LOCAL PARAMETERS
!
      integer i

!     i       Counting variable
! ********************************************************************
!
!                      SUBROUTINES CALLED
!
! ********************************************************************
!
!                      I/O
!
! ********************************************************************
!
!                      ERROR MESSAGES
!
! ********************************************************************
!
!                      PSEUDO CODE
!
!   trivial
! ======================================================================
!
      complist (0) = complist (0) + nplaces
      if (nplaces.gt.0) then
         do 100 i = complist (0), index + nplaces, -1
100         complist (i) = complist (i - nplaces)
      else
         do 200 i = index, complist (0)
200         complist (i) = complist (i - nplaces)
      end if
      end
