      subroutine sepderiv ( inpder, ioutvc, inpvec )
      use sepmodulekmesh
      use sepmodulesmf
      use sepmodulemnsub
      use sepmodulemain
      use sepmodulebuild
      implicit none
      integer :: inpder(*)
      integer, target :: inpvec(*), ioutvc
      integer :: i, idummy(1)
      double precision dummy(1)
      integer, allocatable :: iskpel(:)
      double precision :: timebefore(2)
      call eropen ( 'sepderiv' )
      if ( itime>0 ) call ersettime ( timebefore )
      isolut2d => inpvec(1:maxvec)
      isolut => isolut2d(1)

!     --- Fill array iinder ans iskpel

      allocate ( iskpel(nelgrp), stat = error )
      if ( error/=0 ) call eralloc ( error, nelgrp, 'iskpel' )
      if ( ierror/=0 ) go to 1000

!     --- Fill array iinder

      iinder = 0
      iinder(4:7) = 1
      length = min(inpder(1),leniinder)
      iinder(1:length) = inpder(1:length)
      if ( iinder(10)/=0 ) then

!     --- Copy part skipel

         iinder(12) = leniinder+1
         iskpel = inpder(16:15+nelgrp)

      else

!     --- Set part skipel to 1

         iskpel = 1

      end if
      iinder(10) = 1
      iinder(11) = 1
      iinder(1) = 3

      call sepfillsmf1 ( isolut2d, maxvec )

      SMF%ioutvc => ioutvc
      call to0100 ( iskpel, idummy )

      deallocate ( iskpel, stat = error )
      if ( error/=0 ) call erdealloc ( error, 'iskpel' )

      if ( meshnr<1 .or. meshnr>maxmesh ) meshnr = 1

1000  call erclmn ( 'sepderiv', timebefore )
      end subroutine sepderiv
