      subroutine el4034 (pc,sigma,delta,sp,u,n,ndim)
      implicit double precision (a-h,o-z)
      double precision sp(*), u(*)
!
! ********************************************************************
!
!        programmer   jaap van der zanden
!        version 2.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 2    date   23-05-1985 ndim=3
!
!
!   copyright (c) 1984  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ********************************************************************
!
!    computation of pressure in centroid for penalty method
!    with solution in nodal points
!
!***************************************************************
!
      pc=0.0d0
!
!*  pc=-sigma*integral(div(u))/area
!
      nt=ndim*n
      do 10 ij=1,nt
         pc=pc-u(ij)*sp(ij)
10    continue
      pc=pc*2*sigma/delta
      end
