      program partmovebnd1ddir
      call startsepcomp
      end

      subroutine funcvect ( ichoice, ndim, coor, numnodes, uold, nuold,
     +                      result, nphys )
      implicit none
      integer ichoice, ndim, numnodes, nuold, nphys
      double precision coor(ndim,numnodes), uold(numnodes,nphys,nuold),
     +                 result(numnodes,*)
      integer i
      double precision vn, dt, fact
      double precision getvar

      select case (ichoice)

      case(1)

!     --- case 1, compute displacement

         vn = getvar ( 'vn' )
         dt = getvar ( 'dt' )
         fact = vn*dt
         do i = 1, numnodes
            result(i,1) = -(numnodes-i)/(numnodes-1d0)*fact
         end do  ! i = 1, numnodes

      case default

!     --- Other values, not programmed
!         Give error and stop

         call errchr('funcvect',1)
         call errsub ( 349, 0, 0, 1)
         call instop

      end select ! case (ichoice)

      end
