      program opgave1_2
      integer, allocatable, dimension (:) :: ibuffr
      integer (kind=8) pbuffr
      integer error
      parameter ( pbuffr=100000000)
      allocate(ibuffr(pbuffr), stat = error)
      if (error /= 0) then
         ! space for these arrays could not be allocated
         print *, "error: (sepcompexe) could not allocate space."
         stop
      end if  ! (error /= 0)
      call sepcombf ( ibuffr, ibuffr, pbuffr )
      end

      function func ( ifunc, x, y, z )
      use sepmoduletime
      implicit none
      integer ifunc
      double precision func, x, y, z
      double precision R, b, r1, ruphi
      double precision getconst

      R = getconst('R')
      b = getconst('b')
      r1 = sqrt(X**2+y**2)
      ruphi = (r1-(R+b))*(r1-R)

      select case ( ifunc )
      case(1)

!     --- u1

         func = -y/r*ruphi

      case(2)

!     --- u2

         func = x/r*ruphi

      case default

!     --- Option not programmed yet

         call errchr ( 'funccf', 1 )
         call errint ( ifunc, 1 )
         call errsub ( 1930, 1, 0, 1 )
         call instop

      end select  ! case ( ifunc )

      end
