      program testperiod04
      implicit none

!     --- File for  2d periodical boundary conditions problem
!         See testperiod04.prb and the manual Examples Section 3.5.2
!         for a description

      call startsepcomp

      end

!     --- Function funcbc for the essential boundary conditions

      function funcbc ( ichoice, x, y, z )
      implicit none
      integer ichoice
      double precision x, y, z, funcbc
      if ( ichoice==1 ) then
         funcbc = y
      else if ( ichoice==2 ) then
         funcbc = x
      else if ( ichoice==3 ) then
         funcbc = 2d0*y
      else if ( ichoice==4 ) then
         funcbc = 0.5d0*x+0.5d0
      else

!     --- ichoice <1 or > 4: error

         call eropen('funcbc')
         call errint(ichoice,1)
         call errsub ( 1, 1, 0, 0)
         call erclos('funcbc')
         call instop
         funcbc = 0d0

      end if

      end

!     --- Function func for the creation of the exact solution

      function func ( ichoice, x, y, z )
      implicit none
      integer ichoice
      double precision x, y, z, func, funcbc

      func = funcbc ( ichoice, x, y, z )

      end
