      program potential1
      implicit none
      integer lenkmesh, lenkprob
      parameter ( lenkmesh=500, lenkprob = 500 )
      integer kmesh(lenkmesh), kprob(lenkprob), intmat(5), iinstr(2),
     +        isol(5), iinprs(1), iinsol(1), iinout(1), iuser(1),
     +        istop
      double precision time, user(1)

      data kmesh /lenkmesh*0/, kprob /lenkprob*0/, isol/5*0/,
     +     intmat/5*0/

!     --- Initialize variable length arrays

      kmesh(1) = lenkmesh
      kprob(1) = lenkprob

!     --- Start SEPRAN and read mesh

      iinstr(1) = 2
      iinstr(2) = 1
      call sepstn ( kmesh, kprob, intmat, iinstr )

!     --- Fill essential boundary conditions in ISOL

      iinprs(1) = 0
      call presbc ( kmesh, kprob, isol, iinprs )

!     --- Build and solve linear system

      iinsol(1) = 0
      call linprb ( kmesh, kprob, intmat, isol, iinsol )

!     --- Write results to file sepcomp.out

      iinout(1) = 0
      time = 0d0
      call outsol ( kmesh, kprob, isol, iinout, time, iuser, user )

!     --- Stop SEPRAN

      istop = 0
      call finish ( istop )

      end
