******************************************************************************
*
*      File:  interf.f
*
*      Contents:  Program for the test example
*                 in the SEPRAN manual Standard Problems Section 3.1.4
*
*      Usage:    Compile and link this program with the SEPRAN libraries
*                seplink interf
*                Run this program with input interf.prb
*                interf < interf.prb
*
******************************************************************************
*
      program interf

!     --- example program for the interface boundary condition

      call startsepcomp

      end

!     --- Define essential boundary conditions as function of the coordinates

      function funcbc ( ichoice, x, y, z )
      implicit none
      double precision funcbc, x, y, z
      integer ichoice
      if ( ichoice==1 ) then

!     --- ichoice = 1, upper surface, p = 1-y

         funcbc = 1-y

      else

!     --- ichoice = 2, lower surface, p = 2+y

         funcbc = 2+y

      end if
      end
