      subroutine cont3d ( number, kmeshlc, kproblc, isol, contln, ncntln, &
                          plotfm, yfact, ichois, v )
      use sepmodulemain
      implicit none
      integer number, ncntln, ichois(*)
      double precision contln(*), plotfm, yfact, v(3)
      integer lnplot
      integer, target :: kmeshlc, kproblc, isol
      parameter (lnplot=22)
      integer ncoorc(1), ilplot(lnplot), i, idummy(1), iplots(12)
      double precision coorcn(1), rlplot(6)
      character *1 text(1)
      double precision :: timebefore(2)
      call eropen ( 'cont3d' )
      kmesh2d(1) = kmeshlc
      kmesh => kmesh2d(1)

      kprob2d(1) = kproblc
      kprob => kprob2d(1)

      isolut => isol

      if ( itime>0 ) call ersettime ( timebefore )

!     --- Fill array iplots

      do i = 2, 12
         iplots(i) = 0
      end do
      iplots(2) = 10
      do i = 2, max(12,ichois(1))
         iplots(i) = ichois(i)
      end do

!     --- Clear array ilplot

      do i = 1, lnplot
         ilplot(i) = 0
      end do

!     --- Fill with values from ICHOIS

      ilplot(2)  = 1
      ilplot(3)  = max(1,number)
      ilplot(4)  = ncntln
      ilplot(5)  = iplots(11)

!     --- Fill ilplot(6) in accordance with the pg

      if ( iplots(2)==0 ) then
           ilplot(6) =  1
      else if ( iplots(2)==1 ) then
           ilplot(6) = 11
      end if

      ilplot(11) = 1
      ilplot(12) = 2
      ilplot(14) = 1
      if ( iplots(7)>0 ) ilplot(15) = iplots(8)
      ilplot(16) = iplots(9)
      ilplot(17) = iplots(12)
      if ( iplots(3)==1 ) ilplot(18) = iplots(4)
      if ( iplots(5)==1 ) ilplot(19) = 100+iplots(6)
      if ( iplots(5)==2 ) ilplot(19) = iplots(6)
      ilplot(18) = iplots(4)
      ilplot(22) = 1

!     --- Fill array rlplot

      rlplot(1) = plotfm
      rlplot(2) = yfact
      rlplot(3) = 1d0
      rlplot(4) = v(1)
      rlplot(5) = v(2)
      rlplot(6) = v(3)

      text(1) = ' '
      call plcn00 ( ilplot, rlplot, contln, idummy, text, ncoorc, coorcn )

      call erclmn ( 'cont3d', timebefore )

      end subroutine cont3d
