      subroutine fil100 ( ielgrp, iuser, user, kproblc, nlparm, iwork, &
                          work )
      use sepmodulemain
      use sepmodulekprob
      use sepmodulekmesh
      use sepmodulenparm
      implicit none
      integer iuser(*), kproblc, iwork(*), ielgrp, nlparm
      double precision user(*), work(*)
      integer nelgrptot, icount, jcount, i, ifunc, itype
      double precision func
      call eropen ( 'fil100' )
      kprob2d(1) = kproblc
      kprob => kprob2d(1)

      kprobc => kprobpart%kprobc

      if ( ielgrp.le.0 .or. ielgrp.gt.nelgrp ) then
         call errint ( ielgrp, 1 )
         call errint ( nelgrp, 2 )
         call errsub ( 415, 2, 0, 0 )
      end if
      if(ielgrp.eq.1 .or. iuser(2).le.0) then

!     --- ielgrp = 1

        nelgrptot=nelgrp+numnat
        icount=5+nelgrptot
        jcount=5
      else

!     --- ielgrp > 1

        icount=iuser(4)
        jcount = nint(user(4))

      end if

!     --- fill arrays iuser and user

      iuser(ielgrp+5)=icount+1
      do i=1, nlparm
         ifunc=iwork(i)
         func=work(i)
         call elf000 ( icount, jcount, ifunc, func, i, &
                       iuser, user )
      end do

      itype = kprobc(ielgrp)  ! type number corresponding to ielgrp

      do i = nlparm+1, nparmarr(itype)    ! fill rest of coefficients
         icount = icount+1
         iuser(icount) = 0
      end do  ! i = nlparm+1, nparmarr(itype)

      iuser(3) = max(iuser(3),icount)
      if ( user(3)<jcount ) user(3) = jcount
      iuser(4)=icount
      user(4)=jcount
      iuser(2)=ielgrp
      if ( user(1).lt.jcount+1 ) call prinlg( 'user', &
           -jcount-1, user, iuser )
      if ( iuser(1).lt.icount+1 )  call prinlg( 'iuser', &
           icount+1, user, iuser )
      if ( ierror.ne.0 ) call instop
      call erclos ( 'fil100' )
      end
