
/*********************************************************************
 *  made by : Kees Lemmens
 *  version : 0.1
 *  date    : May 1999
 *
 *  class name  : PerfTimer
 *  function    : contains a class for time measurement
 *
 *********************************************************************/

final class PerfTimer
{
   private static long startTime=0, elapsedTime=0;
   
   public static long setStartTime()
   {
      return (startTime = System.currentTimeMillis());
   }
   
   public static void showElapsedTime(String text)
   {
      double seconds;
      
      elapsedTime = System.currentTimeMillis() - startTime;
      seconds     = elapsedTime / 1000.0;
      
      System.err.println("Timer for " + text + " : " + seconds );
   }
   
   public static void showElapsedTime(String text,long altstartTime)
   {
      startTime = altstartTime;
      showElapsedTime(text);
   }
}

