      subroutine fnnpe(kmesh, ielgrp, nnpe)
!
!***********************************************************************
!
!     programmer   Luc Timmermans
!     version 1.0  date  22-04-1992
!
!***********************************************************************
!
!     fetch number of points per element in elementgroup ielgrp
!
!***********************************************************************
!
!     INPUT/OUTPUT
!
      implicit none
      integer kmesh(*), ielgrp, nnpe
!
!     kmesh   i    standard sepran array
!     ielgrp  i    element group
!     nnpe    o    number of nodes per element in ielgrp
!
!***********************************************************************
!
!     LOCAL PARAMETERS
!
      integer nelgrp, kelma, npelm
!
!     nelgrp    number of element groups
!     kelma     kmesh part a
!     npelm     maximum number of points in an element
!
!***********************************************************************
!
      nelgrp = kmesh(5)
      kelma = kmesh(15)
      npelm = kmesh(4)
      if (kelma.ne.0 .and. ielgrp.gt.0 .and. ielgrp.le.nelgrp) then

         nnpe = kmesh(kelma+ielgrp) - kmesh(kelma+ielgrp-1)
      else

         nnpe = npelm
      end if
      end
