      subroutine inichk
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.0  date 23-07-1997 Replace body by call to inichk1
!        version  1.6  date 24-02-1996 Jump in case of error
!        version  1.5  date 17-11-1995 Clear nbufw123
!        version  1.4  date 10-08-1995 Save commons
!        version  1.3  date 27-12-1994 Use name in names table for error
!        version  1.2  date 01-02-1994 New comments
!        version  1.1  date 16-10-1992 Correction for idebug=2
!        version  1.0  date 29-08-1992
!
!   copyright (c) 1992-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Check all control integers in array IBUFFR
!   Set tail of IBUFFR to infinity if necessary
! **********************************************************************
!
!                       KEYWORDS
!
!     debug
!     memory_management
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulebuf
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
!    - &
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     INICHK1   Check IBUFFR
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call inichk1 ( ibuffr )
      end
