      subroutine ertrap(name,iernr,iform,i1,i2,i3)
! ====================================================================== &
!
!        programmer     Guus Segal
!        version 14.3   date 19-01-1999 include commons
!        version 14.2   date 27-06-1992 minor change in call to err057
!        version 14.1   date 03-06-1988
!
!
!
!   copyright (c) 1984-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Print error message
!
! **********************************************************************
!
!                       KEYWORDS
!
!    error_manipulation
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      character * (*) name
      integer i1, i2, i3, iernr, iform

!     i1         i    Extra  information
!     i2         i    Extra  information
!     i3         i    Extra  information
!     iernr      i    Error number
!     iform      i    Type of format
!     name       i    Name of calling subroutine
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!     ER0057    Actual error message subroutine
!     INSTOP    Stop the program
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ====================================================================== &
!
 99   format(///' **********  errors in subroutine ',a,5x,'*******'//)
  1   format(///' **********  error nr.',i4,5x,'**********'/)

100   format(//' more than 10 errors ')
      if(ierror.eq.0) then
         write(irefwr,99) name
      end if
      ierror=iernr
      write(irefwr,1) ierror
      call er0057(0,iernr,iform,i1,i2,i3,0d0,0d0,0d0)
      nerror=nerror+1
      if(nerror.le.10) return

!     --- number of errors larger than 10

      write(irefwr,100)
      call instop
      end
