      subroutine sepfillconsts
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 15-08-2015
!
!   copyright (c) 2015-2015  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill some general constants in module sepmoduleconsts
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulexxx
      use sepmodulevecs
      use sepmoduleread1
      use sepmodulebuild
      use sepmodulesymm
      use sepmodulesmf
      use sepmoduleconsts
      use sepmodulekprob
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!

!     --- Module sepmoduleconsts

      pi = 4d0*atan(1d0)
      aln10 = log(10d0)
      defplo = 15d0
      pi2 = 2d0 * pi

!     --- Fill icyc4p and icyc4m

      icyc4p = (/ 2, 3, 4, 1 /)
      icyc4m = (/ 4, 1, 2, 3 /)

!     --- Module sepmodulekprob

      iprob = 0
      icountkprob = 1
      bufchanged = .true.


      namesol = ' '

!     --- Module sepmodulesymm

      meshsymm = 0

      nullify(flipflop)

!     --- cscalvec

      iscalars = 0
      ivectors = 0

      end subroutine sepfillconsts
