      subroutine mshd09(kmeshc,npt,nelem,inpelm)
      implicit none
!
! ********************************************************************
!
!
!        programmer   niek praagman
!
!        version 1.1  date   03-05-1990 new programming norms
!
!
!
!   copyright (c) 1982-1990  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
! *   rearrange kmeshc in case of a mesh of old structure but with
!     new boundary and inpelm = 6 or 7
!
! ********************************************************************
! * &
! *   GLOBAL parameters
! * &
      integer kmeshc(*),npt,nelem,inpelm
! * &
! *   Meaning of parameters
! * &
! *   kmeshc    i,o :  array containing numbers for the formation of 6 or
! *                    7 -node elements
! *   npt        o  :  at output highest number of corner points
! *   nelem      i  :  number of elements
! *   inpelm     i  :  number of nodes in element
! * &
! **********************************************************************
! * &
! *   LOCAL parameters
! * &
      integer i,j,i1,i2,i3
! * &
! ***********************************************************************
! * &
      npt = 0
! * &
      do 100 i = 1 , nelem
! * &
          j   =  inpelm*(i-1)
          i1  =  kmeshc(j+1)
          i2  =  kmeshc(j+3)
          i3  =  kmeshc(j+5)
          j   =  3 * (i-1)
! * &
          kmeshc(j+1)  =  i1
          kmeshc(j+2)  =  i2
          kmeshc(j+3)  =  i3
! * &
          if ( i1.gt.npt ) npt = i1
          if ( i2.gt.npt ) npt = i2
          if ( i3.gt.npt ) npt = i3
! * &
100   continue
! * &
      end
