      subroutine msho52( coor, i, x, y, z )

! =======================================================================
!
!
!         programmer   niek praagman
!
!         version 1.1  date  09-03-1993 new norms
!         version 1.0  date  28-03-1990
!
!
!
!   copyright (c) 1990-1993  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard or soft copy granted only by written license obtained
!   from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system (e.g. , in memory, disk or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ***********************************************************************
!
!     DESCRIPTION
!
!     Determine coordinates x,y,z of point n along line
!
! ***********************************************************************
!
!     KEYWORDS
!
!     3d
!     coordinate
!
! ***********************************************************************
!
!     INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer i
      double precision coor(3,i), x, y, z

!     coor       i     3-D coordinate array
!     i          i     node-number to be copied
!     x          o     x-coordinate of node i
!     y          o     y-coordinate of node i
!     z          o     z-coordinate of node  i
!
! ***********************************************************************
!
!     METHOD
!
!     trivial
!
! =======================================================================

      x = coor( 1,i )
      y = coor( 2,i )
      z = coor( 3,i )

      end
