      subroutine pr0020
! ======================================================================
!
!        programmer     Guus Segal
!        version 1.2    date 04-11-1998 include commons
!        version 1.1    date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version 1.0    date 11-07-1987
!
!
!   copyright (c) 1998-1998  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!      print Kprob part p
!
! **********************************************************************
!
!                       KEYWORDS
!
!    print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      use sepmodulekprob
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer nodp, iphys

!     iphys      Number of physical variables
!     nodp       Nodal point sequence number
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      write(irefwr,1)
  1   format(' Position of physical variables in solution array for ', &
             'each node'/' A zero means that the unknown is not', &
             ' present in the nodal point')
      do 100 iphys=1,nphys
         write(irefwr,2) iphys
  2      format(' Physical variable: ',i3)
         write(irefwr,3) (nodp,kprobp(nodp,iphys),nodp=1,npoint)
  3      format(6(i6,':',i6))
100   continue
      end
