      subroutine plotus ( kmeshl, coor, nuspnt )
!
! ********************************************************************
!
!        programmer     Guus Segal
!        version 1.0    date   30-06-1989
!
!
!
!   copyright (c) 1989  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ********************************************************************
!
!       * this subroutine plots the user points in a mesh as given
!         in array kmesh
!
! ********************************************************************
!
!               INPUT / OUTPUT

      implicit none
      integer nuspnt, kmeshl(nuspnt)
      double precision coor(2,*)

!
!    coor      i   array containing the co-ordinates of the nodal points
!
!    kmeshl    i   kmesh part l
!
!    nuspnt    i   Number of user points
!
! ********************************************************************
!
!                         LOCAL PARAMETERS

      integer i, node
      double precision x, y
!
!     i         Loop variable
!
!     node      Nodal point number
!
!     x,y       Co-ordinates of a point
!
! ********************************************************************
!
!               SUBROUTINES CALLED
!
!
!     SEPRAN service subroutines:
!
!     PLAFEP:  Performs the actual plotting
!
! ********************************************************************
!
!    *  Plot user points with a mark and a number

      do 100 i = 1, nuspnt
         node = kmeshl(i)
         x = coor(1,node)
         y = coor(2,node)
         call plafep ( 6, x, y, 0d0, 0d0, 0 )
         call plafep ( 7, x, y, 0d0, 0d0, node )
100   continue
      end
