      subroutine plt363(i1,i2,i3,j1,j2,j3)
! * &
! ***********************************************************************
! *                                                                     * &
! *   Help subroutine to determine the order for the values             * &
! *   ( i1 , i2 , i3 )  result ( j1 , j2 , j3 )                         * &
! *                                                                     * &
! ***********************************************************************
!                                                                       * &
!                                                                       * &
!         programmer   niek praagman                                    * &
!         version 1    date   27-6-1987                                   * &
!                                                                       * &
!                                                                       * &
!                                                                       * &
!   copyright (c) 1987  "ingenieursbureau sepra"                        * &
!   permission to copy or distribute this software or documentation     * &
!   in hard or soft copy granted only by written license obtained       * &
!   from "ingenieursbureau sepra".                                      * &
!   all rights reserved. no part of this publication may be reproduced, * &
!   stored in a retrieval system (e.g. , in memory, disk or core)       * &
!   or be transmitted by any means, electronic, mechanical, photocopy,  * &
!   recording, or otherwise, without written permission from the        * &
!   publisher.                                                          * &
!                                                                       * &
! ***********************************************************************
! *                                                                     * &
! *   Meaning of parameters :                                           * &
! *                                                                     * &
! *   ( i1,i2,i3 )      (i)  : node numbers                             * &
! *   ( j1,j2,j3 )      (o)  : resulting values                         * &
! *                                                                     * &
! ***********************************************************************
! * &
      imax = max ( i1,i2,i3 )
! * &
      if ( i1.eq.imax ) then
           if ( i2.gt.i3 ) then
                j1 = i1
                j2 = i2
                j3 = i3
           else
                j1 = i1
                j2 = i3
                j3 = i2
           end if
      else if ( i2.eq.imax ) then
           if ( i1.gt.i3 ) then
                j1 = i2
                j2 = i1
                j3 = i3
           else
                j1 = i2
                j2 = i3
                j3 = i1
           end if
      else
           if ( i1.gt.i2 ) then
                j1 = i3
                j2 = i1
                j3 = i2
           else
                j1 = i3
                j2 = i2
                j3 = i1
           end if
      end if
! * &
      end
