      subroutine el6025(s, smatr, m)

!***********************************************************************
!
!     Programmer Luc Timmermans
!     version 1.0   date 12-08-1992
!
!***********************************************************************
!
!     compose s out of smatr
!
!***********************************************************************
!
!     INPUT/OUTPUT PARAMETERS

      implicit none

      integer m
      double precision s(2*m,2*m), smatr(m,m)
!
!     m         i     number of integration points
!     s         o     resulting matrix
!     smatr     i     input matrix
!
!***********************************************************************
!
!     LOCAL PARAMETERS

      integer i, j
!
!     i    counting parameter
!     j    counting parameter
!
!***********************************************************************

      do 200 i = 1, m
         do 100 j = 1, m

            s(2*i-1,2*j-1) = smatr(i,j)
            s(2*i,2*j) = smatr(i,j)
            s(2*i,2*j-1) = 0d0
            s(2*i-1,2*j) = 0d0
100      continue
200   continue

      end
