      subroutine els004(f, m)
! ======================================================================
!
!        programmer     Luc Timmermans
!        version 1.1    date   28-01-1996 Layout
!        version 1.0    date   21-01-1993
!
!   copyright (c) 1993-1996  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!***********************************************************************
!
!                         DESCRIPTION
!
! **********************************************************************
!
!                      KEYWORDS
!
!     spectral
! **********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      implicit none
      integer m
      double precision f(2*m)

!     f     i/o    element vector
!     m      i     number of nodal points in the element (4 in 2D)
!***********************************************************************
!
!                   COMMON BLOCKS
!
!***********************************************************************
!
!                   LOCAL PARAMETERS

      double precision swap

!     swap     swap parameter
!***********************************************************************
!
!                  SUBROUTINES CALLED
!
!***********************************************************************
!
!                    I/O
!
!    none
! ********************************************************************
!
!                   ERROR MESSAGES
!
!***********************************************************************
!
!                    PSEUDO CODE
!
!   trivial
! ======================================================================
!
      swap = f(5)
      f(5) = f(7)
      f(7) = swap
      swap = f(6)
      f(6) = f(8)
      f(8) = swap

      end
