      subroutine elp271(dpdks0,dpdet0,wnc,qphixx,qphixe,qphiee,n)
      implicit double precision (a-h,o-z)
      double precision dpdks0(*), dpdet0(*), wnc(*), qphixx(*), &
             qphixe(*), qphiee(*)
!
! ********************************************************************
!
!        programmer   jaap van der zanden
!        version 1.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 1    date   04-01-1985
!
!
!   copyright (c) 1984  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ********************************************************************
!
!      compute special integrals on reference element of
!
!      dphi(i)/dksi * dphi(j)/dksi , dphi(i)/dkxi * dphi(j)/deta , ...
!
!      for qphixx, qphiee only the lower diagonal elements are filled
!
! ********************************************************************
!
!
!       * i1 = ( i - 1 ) * n
!       * j1 = ( j - 1 ) * n
!
      i1=0
      do 80 i=1,n
         j1=0
         do 60 j=1,i
            sum1=0.0d0
            sum2=0.0d0
            sum3=0.0d0
            sum4=0.0d0
            do 50 k=1,n
               sum1=sum1+wnc(k)*dpdks0(i1+k)*dpdks0(j1+k)
               sum2=sum2+wnc(k)*dpdks0(i1+k)*dpdet0(j1+k)
               sum3=sum3+wnc(k)*dpdks0(j1+k)*dpdet0(i1+k)
               sum4=sum4+wnc(k)*dpdet0(i1+k)*dpdet0(j1+k)
50          continue
            qphixx(i1+j)=sum1
            qphixe(i1+j)=sum2
            qphixe(j1+i)=sum3
            qphiee(i1+j)=sum4
            j1=j1+n
60       continue
         i1=i1+n
80    continue
      end
