      program conv_shock02

!     --- Main program for testing of upwind schemes for 2d convection-diffusion
!         linear triangular elements, with limiting
!         See manual standard problems, Section 3.1.8.1
!         Shock problem

      call startsepcomp

      end

!     --- define velocity as function of the angle

      function funccf ( ichoice, x, y, z )
      use sepmoduleconsts
      implicit none
      integer ichoice
      double precision x, y, z, funccf, angle, getconst

!     --- angle is defined as a constant

      angle = getconst ( 'angle' )

      if ( ichoice==1 ) then

!     --- ichoice = 1, u = cos(ange)

         funccf = cos(angle/180d0*pi)

      else if ( ichoice==2 ) then

!     --- ichoice = 2, v = sin(angle)

         funccf = sin(angle/180d0*pi)

      else

!     --- Other case, should never be possible

         funccf = 0d0

      end if

      end
