      program domain_def

!     --- main program for 2d deformation of solid mesh
!         See Manual Examples Section 7.4.2

      call startsepcomp
      end

!     --- Function funccf is used to define the load as function of time
!         See Introduction Manual, Section 5.5.3

      double precision function funccf ( ichoice, x, y,z )
      use sepmoduletime
      use sepmoduleconsts
      implicit none

      integer ichoice;
      double precision x, y, z

      if ( ichoice== 1 ) then

!     --- Load function

         funccf = 75d0*(0.5d0-0.5d0*cos((x-2d0)*pi/3d0))*
     +            sin(t)*(x-2d0)/6d0

      end if  ! ( ichoice== 1 )

      end

!     --- Function func to define the u-velocity at start

      double precision function func ( ichoice, x, y, z )
      implicit none
      integer ichoice
      double precision x, y,z

      if ( ichoice==1 ) then

!     --- Parabolic velocity profile

         func = -0.08d0*(y-10d0)*(y-5d0)

      end if  ! ( ichoice==1 )

      end
