      program partlevset2dcircdir
      call startsepcomp
      end

      subroutine funcvect ( ichoice, ndim, coor, numnodes, uold, nuold,
     +                      result, nphys )
      implicit none
      integer ichoice, ndim, numnodes, nuold, nphys
      double precision coor(ndim,numnodes), uold(numnodes,nphys,nuold),
     +                 result(numnodes,*)
      integer i
      double precision vn, dt, fact, Cpart, C0, csol, zeta, kappa
      double precision getconst, getvar

      select case (ichoice)

      case(1)

!     --- case 1, compute concentration

         Cpart = getconst ('Cpart')
         C0 = getconst ('C0')
         result(1:numnodes,1) = cpart
         do i = 1, numnodes
            if( uold(i,1,1)<=0d0 ) result(i,1) = c0
         end do  ! i = 1, numnodes

      case(2)

!     --- case 2, compute velocity vn

         Cpart = getconst ('Cpart')
         csol = getvar ('csol')
         zeta = getconst ('zeta')
         kappa = getconst ('kappa')

         result(:,1) = kappa/cpart*
     +      (csol*exp(zeta*uold(:,1,2))-uold(:,1,1))

      case default

!     --- Other values, not programmed
!         Give error and stop

         call errchr('funcvect',1)
         call errsub ( 349, 0, 0, 1)
         call instop

      end select ! case (ichoice)

      end
