      subroutine integr ( iinvol, outval, kmeshlc, &
                          kproblc, inpvec, iuserloc, userloc )
      use sepmoduleuser
      use sepmodulemain
      use sepmoduleelem
      implicit none
      integer iinvol(*), inpvec
      integer, target :: iuserloc(*)
      integer :: kmeshlc, kproblc
      double precision outval(*)
      integer, parameter :: niinp=15
      integer iinput(niinp), ihelp
      double precision, target :: userloc(*)
      double precision :: timebefore(2)
      call eropen ( 'integr' )
      if ( itime>0 ) call ersettime ( timebefore )
      iinput = 0
      iinput(2) = 1
      iinput(3) = 1
      iinput(7) = 1
      iseqin = 1
      length = min ( iinvol(1), niinp )
      iinput(1:length) = iinvol(1:length)
      kprob2d(1) = kproblc
      kmesh2d(1) = kmeshlc
      kmesh => kmesh2d(1)
      kprob => kprob2d(1)
      iuser => iuserloc(1:iuserloc(1))
      user => userloc(1:nint(userloc(1)))

      call sepfillkmesh(kmesh)

!     --- Compute starting address of aary "IELHLP"

      if ( iinput(5)==0 ) then

!     --- IELHLP is not used

         ihelp = 1

      else

!     --- IELHLP starts at position 16 in IINVOL

         ihelp = 16

      end if

!     --- Put information into SMF

      call sepfillsmf1 ( inpvec, 1 )

      call to0085 ( iinput, outval, iinvol(ihelp) )

      call erclmn ( 'integr', timebefore )
      end
