      subroutine systm1 ( ichois, imass, matr, intmatlc, kmeshlc, kproblc, &
                          irhsdlc, massmtr, iusol, iuserloc, &
                          userloc, islold, ielhlp )
      use sepmoduleuser
      use sepmodulekprob
      use sepmodulekmesh
      use sepmodulemain
      use sepmoduleintmat
      use sepmodulesmf
      implicit none
      integer ichois, irhsdlc(*), &
              iusol(*), islold(*), ielhlp(*), imass
      integer, target :: intmatlc(*), matr(2), massmtr, kmeshlc, &
                         kproblc, iuserloc(*)
      integer ihelp, nelgrptot
      integer, allocatable :: iinbldlc(:)
      double precision, target :: userloc(*)
      call eropen ( 'systm1' )

      stiffmat => matr
      massmat => massmtr
      kmesh2d(1) = kmeshlc
      kmesh => kmesh2d(1)
      call sepfillkmesh(kmesh)
      kprob2d(1) = kproblc
      kprob => kprob2d(1)
      iuser => iuserloc(1:iuserloc(1))
      user => userloc(1:nint(userloc(1)))
      iseqkp = kprob
      kprobloc => kp(iseqkp)%kprobsub(iprob)%kprobloc
      nelgrptot = nelgrp+kprobloc(12)
      allocate ( iinbldlc(nbld+nelgrptot) )
      iinbldlc = 0
      iinbldlc(1) = nbld+nelgrptot
      if ( ichois<0 ) iinbldlc(10) = 1
      iinbldlc(12) = 1
      iinbldlc(13) = 1
      iinbldlc(16:15+nelgrptot) = ielhlp(6:nelgrptot+5)
      intmat => intmatlc(1)
      call to0048 ( ichois, iinbldlc, ielhlp, ihelp )
      iinbldlc(4) = imass
      isubcall = 3

      call sepfillsmf ( iinbldlc, irhsdlc, iusol, islold )
      call sepbuild
      deallocate ( iinbldlc )
      call erclos ( 'systm1' )
      end subroutine systm1
