      subroutine writb1
! ====================================================================== &
!
!        programmer     Niek Praagman
!        version 2.3    date  24-07-1998 include commons
!        version 2.2    date  18-11-1991 Delete use of ibuffr
!        version 2.1    date  22-08-1991 Zdenek: no dimension, cdc, ce
!        version 2.0    date  16-04-1986
!
!
!
!   copyright (c) 1984-1998  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! **********************************************************************
!
!                       DESCRIPTION
!
!   writb1 writes ifree2, inew and iwork3 to
!   backing storage
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/celwrkf90'
      include 'SPcommon/cfile2f90'

! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     INI000  Copy one integer array into another one
!     WRITFL  Write array to backing storage
! **********************************************************************
!
!                       MODULES USED
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! ====================================================================== &
!
!     --- Store first record consisting of ifree2, inew, (iwork3(k),k=1,998)
!         into work array work
!         ini000 treats work as if it is an integer array

      call ini000 ( ifree2, work, 1, 1,   1, 1 )
      call ini000 ( inew,   work, 1, 2,   1, 1 )
      call ini000 ( iwork3, work, 1, 3, 998, 1 )
      call writfl ( 1, 1, 1000, 1, 2, work )
      end
